Subject: Bug#129: X Error: BadAccess (attempt to access private resource denied) 10 - Extension: 129 (MIT-SHM)

From: Ricardo Díaz Martín <[email-masked]>
Date: Sun, 3 Mar 2013 20:44:02 +0100

Hi,

In addition I got also problem running some qt4 based app. Using gdb to
debug these apps looks like the problem is in /usr/lib/nx/X11/libNX_X11.so.6

Hope it helps to you to find the bug.

Regards,
Ricardo

2013/3/1 Ricardo Díaz Martín <[email-masked]>

> Package: x2goagent
> Version: 3.5.0.17
>
> I just installed x2go server in kubuntu 12.10 x64 and can connect without
> problems.
>
> Problem is when I tryed to run something app using kdesudo o sudo I
> allways get:
>
> X Error: BadAccess (attempt to access private resource denied) 10
>   Extension:    129 (MIT-SHM)
>   Minor opcode: 1 (X_ShmAttach)
>   Resource id:  0x4000010
> X Error: BadShmSeg (invalid shared segment parameter) 128
>   Extension:    129 (MIT-SHM)
>   Minor opcode: 5 (X_ShmCreatePixmap)
>   Resource id:  0x40000ab
> X Error: BadDrawable (invalid Pixmap or Window parameter) 9
> ...
> ...
> ...
>
> And only can see the app's windows with a full grey color inside. If the
> app background got more than one colour I can see them but no controls
>
> I can confirm the same issue in other kubuntu 12.10 server updated from
> 12.04
>
> I'm using x2goserver from stable x2go ppa and system are full update.
>
> _______________________________________________
> X2Go-Dev mailing list
> [email-masked]
> https://lists.berlios.de/mailman/listinfo/x2go-dev
>